Plugins compiled with demo not loading in full



  • On 05/09/2015 at 12:52, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   R17 
    Platform:      
    Language(s) :

    ---------
    Howdy,

    Well, I compiled my plugins in the R17 Demo and they loaded fine. But, now that I've installed the R17 Full version and copied the plugins over to that, they aren't loading. I'm having to recompile them in the Full version's plugin directory.

    What's wrong and is that going to be a problem for those who download the plugins and install them on their machines?

    Adios,
    Cactus Dan



  • On 05/09/2015 at 17:06, xxxxxxxx wrote:

    Howdy,

    Looks like it's happened on both Mac OS and Windows. The plugins compiled with the R17 Demo won't load in the R17 Full version and must be recompiled. Why?

    Adios,
    Cactus Dan



  • On 06/09/2015 at 00:40, xxxxxxxx wrote:

    Originally posted by xxxxxxxx

    Howdy,
    Looks like it's happened on both Mac OS and Windows. The plugins compiled with the R17 Demo won't load in the R17 Full version and must be recompiled. Why?
    Adios,
    Cactus Dan

    Which versions are you comparing? 17.032 full version with 17.032 demo or an older full version?

    17.032 changed to python 2.7 (the first full version - 17.016 - used the older python lib 2.6 instead) and 17.032 contains extended functionality (e.g. for take & token system, network, houdini exchange, ...) which wasn't present in the R17.016 SDK.

    As 17.032 (SP1 for the full version) was available with the release of R17 (and contains a lot of fixes and enhancements) it is recommended to use this SDK version when compiling for R17 (if you don't use the above functionality you're fine with R17.016 too, but that requires some investigation in the functionality you're using).

    Best regards,

    Wilfried



  • On 06/09/2015 at 01:22, xxxxxxxx wrote:

    One moment, Wilfried
    Current demo of r17 is 17.032 build.
    Dan, as i remember, has c++ plugins, why are you write about python?!

    Anyway there is interesting situation!

    or you mean that Dan did not update Full to 17.032?



  • On 06/09/2015 at 06:06, xxxxxxxx wrote:

    Howdy,

    OK, that makes sense. When I downloaded the full version I did not install the update because I was anxious to test the plugin compiles in the full version. 😊

    Thanks.

    EDIT:
    And yes, I'm compiling c++ plugins.

    Adios,
    Cactus Dan



  • On 07/09/2015 at 01:54, xxxxxxxx wrote:

    Hello,

    just to add this: the R17 release has the API_VERSION 17000, SP1 has the API_VERSION 17030.

    best wishes,
    Sebastian


Log in to reply